-- Customer specific once-script FSN#20633
--
-- (c) 2011 SG|facilitor bv
-- $Revision$
-- $Id$
--
-- Support: +31 53 4800700
SET ECHO ON
SPOOL FSN20633.lst
SET DEFINE OFF
SET HEADING OFF

--kenmerkwaardes die er volgende de inrichting helemaal niet zouden moeten zijn:
SELECT res_activiteit_key,
       res_reservering_key,
       RKW.RES_KENMERK_KEY,
       RKW.RES_KENMERKRESERVERING_WAARDE
  FROM res_rsv_ruimte rrr, res_kenmerkwaarde rkw
 WHERE rrr.res_rsv_ruimte_key = rkw.res_rsv_ruimte_key
       AND RKW.RES_KENMERK_KEY NOT IN
                (SELECT res_kenmerk_key
                   FROM res_kenmerk rk
                  WHERE RK.RES_ACTIVITEIT_KEY = RRR.RES_ACTIVITEIT_KEY);
--(8603 rows)


UPDATE res_kenmerkwaarde
   SET res_kenmerk_key = 103 -- Nieuw lunch-costcenter
 WHERE res_kenmerk_key = 3 -- Oude costcenter
       AND res_kenmerkwaarde_key IN
                (SELECT res_kenmerkwaarde_key
                   FROM res_rsv_ruimte rrr, res_kenmerkwaarde rkw
                  WHERE rrr.res_rsv_ruimte_key = rkw.res_rsv_ruimte_key
                        AND rrr.res_activiteit_key = 102)
-- CV Activiteit Lunchkamer
/
--(12 rows ?)

UPDATE res_kenmerkwaarde rkw1
   SET res_kenmerk_key = 104                      -- Nieuw Catering-costcenter
 WHERE res_kenmerk_key = 1                                  -- Oude costcenter
       AND res_kenmerkwaarde_key IN
                (SELECT res_kenmerkwaarde_key
                   FROM res_rsv_ruimte rrr, res_kenmerkwaarde rkw
                  WHERE rrr.res_rsv_ruimte_key = rkw.res_rsv_ruimte_key
                        AND rrr.res_activiteit_key = 103)
       AND NOT EXISTS -- Deze was na twee dagen al een paar keer aangemaakt.....
             (SELECT res_kenmerkwaarde_key
                FROM res_kenmerkwaarde rkw2
               WHERE res_kenmerk_key = 104
                     AND rkw2.res_rsv_ruimte_key = rkw1.res_rsv_ruimte_key)
-- CV Activiteit Catering
/
--(8234 rows)

UPDATE res_kenmerkwaarde
   SET res_kenmerk_key = 102 -- Nieuw lunch-costcenter
 WHERE res_kenmerk_key = 61 -- Oude costcenter
       AND res_kenmerkwaarde_key IN
                (SELECT res_kenmerkwaarde_key
                   FROM res_rsv_ruimte rrr, res_kenmerkwaarde rkw
                  WHERE rrr.res_rsv_ruimte_key = rkw.res_rsv_ruimte_key
                        AND rrr.res_activiteit_key = 101)
-- CV Activiteit Tafelreservering (Gastenrest.)
/
--(310 records)

COMMIT;

BEGIN adm.systrackscript('$Workfile: FSN#20633.sql $', '$Revision$', 1); END;
/

SPOOL OFF
